diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/lighttpd.conf lighttpd-1.4.25/fink/etc/lighttpd.conf
--- lighttpd-1.4.25.orig/fink/etc/lighttpd.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/lighttpd.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,92 @@
+finkroot    = "@PREFIX@/"
+configpath  = finkroot + "etc/lighttpd/"
+logpath     = finkroot + "var/log/lighttpd/"
+
+#debug.log-request-header   = "enable"
+#debug.log-response-header  = "enable"
+#debug.log-request-handling = "enable"
+#debug.log-file-not-found   = "enable"
+
+server.document-root  = finkroot + "var/www/"
+server.errorlog       = logpath + "error.log"
+server.modules        = () # these will be defined in separate config-files
+server.tag            = "lighttpd"
+server.pid-file       = finkroot + "var/run/lighttpd.pid"
+
+server.username            = "www"
+server.groupname           = "www"
+server.port                = 80
+#server.bind                = "localhost"
+#server.chroot              = "/"
+
+#server.error-handler-404   = "/error-handler.html"
+#server.errorfile-prefix    = finkroot + "var/www/status-" # Format: <errorfile-prefix><status-code>.html
+
+#ssl.engine                 = "enable"
+#ssl.pemfile                = "server.pem"
+
+dir-listing.activate  = "disable"
+index-file.names      = ( "index.html", "index.htm", "default.htm" )
+
+mimetype.assign       = (
+  ".pdf"     => "application/pdf",
+  ".sig"     => "application/pgp-signature",
+  ".spl"     => "application/futuresplash",
+  ".class"   => "application/octet-stream",
+  ".ps"      => "application/postscript",
+  ".torrent" => "application/x-bittorrent",
+  ".dvi"     => "application/x-dvi",
+  ".gz"      => "application/x-gzip",
+  ".pac"     => "application/x-ns-proxy-autoconfig",
+  ".swf"     => "application/x-shockwave-flash",
+  ".tar.gz"  => "application/x-tgz",
+  ".tgz"     => "application/x-tgz",
+  ".tar"     => "application/x-tar",
+  ".zip"     => "application/zip",
+  ".mp3"     => "audio/mpeg",
+  ".m3u"     => "audio/x-mpegurl",
+  ".wma"     => "audio/x-ms-wma",
+  ".wax"     => "audio/x-ms-wax",
+  ".ogg"     => "application/ogg",
+  ".wav"     => "audio/x-wav",
+  ".gif"     => "image/gif",
+  ".jpg"     => "image/jpeg",
+  ".jpeg"    => "image/jpeg",
+  ".png"     => "image/png",
+  ".xbm"     => "image/x-xbitmap",
+  ".xpm"     => "image/x-xpixmap",
+  ".xwd"     => "image/x-xwindowdump",
+  ".css"     => "text/css",
+  ".html"    => "text/html",
+  ".htm"     => "text/html",
+  ".js"      => "text/javascript",
+  ".asc"     => "text/plain",
+  ".c"       => "text/plain",
+  ".cpp"     => "text/plain",
+  ".log"     => "text/plain",
+  ".conf"    => "text/plain",
+  ".text"    => "text/plain",
+  ".txt"     => "text/plain",
+  ".dtd"     => "text/xml",
+  ".xml"     => "text/xml",
+  ".mpeg"    => "video/mpeg",
+  ".mpg"     => "video/mpeg",
+  ".mov"     => "video/quicktime",
+  ".qt"      => "video/quicktime",
+  ".avi"     => "video/x-msvideo",
+  ".asf"     => "video/x-ms-asf",
+  ".asx"     => "video/x-ms-asf",
+  ".wmv"     => "video/x-ms-wmv",
+  ".bz2"     => "application/x-bzip",
+  ".tbz"     => "application/x-bzip-compressed-tar",
+  ".tar.bz2" => "application/x-bzip-compressed-tar",
+  ".dmg"     => "application/x-apple-diskimage"
+)
+
+
+
+### .php, .pl, .fcgi are most often handled by mod_fastcgi or mod_cgi
+#static-file.exclude-extensions = ( ".php", ".pl", ".fcgi" )
+
+#including enabled modules and their configurations
+include configpath + "mods-enabled/*"
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/access.conf lighttpd-1.4.25/fink/etc/mods-available/access.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/access.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/access.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,10 @@
+global {
+  server.modules += ("mod_access")
+
+  ## deny access the file-extensions
+  #
+  # ~    is for backupfiles from vi, emacs, joe, ...
+  # .inc is often used for code includes which should in general not be part
+  #      of the document-root
+  url.access-deny             = ( "~", ".inc" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/accesslog.conf lighttpd-1.4.25/fink/etc/mods-available/accesslog.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/accesslog.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/accesslog.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,4 @@
+global {
+  server.modules += ("mod_accesslog")
+  accesslog.filename = logpath + "access.log"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/alias.conf lighttpd-1.4.25/fink/etc/mods-available/alias.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/alias.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/alias.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_alias")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/auth.conf lighttpd-1.4.25/fink/etc/mods-available/auth.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/auth.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/auth.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,26 @@
+global {
+  server.modules += ("mod_auth")
+
+  ## read authentication.txt for more info
+  #auth.backend               = "plain"
+  #auth.backend.plain.userfile = "lighttpd.user"
+  #auth.backend.plain.groupfile = "lighttpd.group"
+
+  #auth.backend.ldap.hostname = "localhost"
+  #auth.backend.ldap.base-dn  = "dc=my-domain,dc=com"
+  #auth.backend.ldap.filter   = "(uid=$)"
+
+  #auth.require               = ( "/server-status" =>
+  #                               (
+  #                                 "method"  => "digest",
+  #                                 "realm"   => "download archiv",
+  #                                 "require" => "user=jan"
+  #                               ),
+  #                               "/server-config" =>
+  #                               (
+  #                                 "method"  => "digest",
+  #                                 "realm"   => "download archiv",
+  #                                 "require" => "valid-user"
+  #                               )
+  #                             )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/cgi.conf lighttpd-1.4.25/fink/etc/mods-available/cgi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/cgi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/cgi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_cgi")
+
+  #cgi.assign = ( ".pl"  => "/usr/bin/perl",
+  #               ".cgi" => "/usr/bin/perl" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/compress.conf lighttpd-1.4.25/fink/etc/mods-available/compress.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/deflate.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/deflate.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,7 @@
+global {
+  server.modules += ("mod_deflate")
+
+  deflate.allowed-encodings = ("gzip", "deflate")
+  deflate.cache-dir         = "/tmp/lighttpd/cache/compress/"
+  deflate.mimetypes         = ("text/plain", "text/html")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/evhost.conf lighttpd-1.4.25/fink/etc/mods-available/evhost.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/evhost.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/evhost.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,14 @@
+global {
+  server.modules += ("mod_evhost")
+
+  #
+  # define a pattern for the host url finding
+  # %% => % sign
+  # %0 => domain name + tld
+  # %1 => tld
+  # %2 => domain name without tld
+  # %3 => subdomain 1 name
+  # %4 => subdomain 2 name
+  #
+  #evhost.path-pattern        = "/home/storage/dev/www/%3/htdocs/"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/expire.conf lighttpd-1.4.25/fink/etc/mods-available/expire.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/expire.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/expire.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_expire")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/extforward.conf lighttpd-1.4.25/fink/etc/mods-available/extforward.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/extforward.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/extforward.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,5 @@
+global {
+  server.modules += ("mod_extforward")
+
+  # extforward.forwarder = ( "all" => "trust")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/fastcgi.conf lighttpd-1.4.25/fink/etc/mods-available/fastcgi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/fastcgi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/fastcgi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,14 @@
+global {
+  server.modules += ("mod_fastcgi")
+
+  ## read fastcgi.txt for more info
+  ## for PHP don't forget to set cgi.fix_pathinfo = 1 in the php.ini
+  #fastcgi.server             = ( ".php" =>
+  #                               ( "localhost" =>
+  #                                 (
+  #                                   "socket" => "/tmp/php-fastcgi.socket",
+  #                                   "bin-path" => "/usr/local/bin/php"
+  #                                 )
+  #                               )
+  #                            )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/magnet.conf lighttpd-1.4.25/fink/etc/mods-available/magnet.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/magnet.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/magnet.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_magnet")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/proxy.conf lighttpd-1.4.25/fink/etc/mods-available/proxy.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/proxy.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/proxy.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,10 @@
+global {
+  server.modules += ("mod_proxy")
+
+  ## read proxy.txt for more info
+  #proxy.server = (
+  #  ".php" => (
+  #    "localhost" => ("host" => "192.168.0.101", "port" => 80)
+  #  )
+  #)
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/redirect.conf lighttpd-1.4.25/fink/etc/mods-available/redirect.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/redirect.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/redirect.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_redirect")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/rewrite.conf lighttpd-1.4.25/fink/etc/mods-available/rewrite.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/rewrite.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/rewrite.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_rewrite")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/rrdtool.conf lighttpd-1.4.25/fink/etc/mods-available/rrdtool.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/rrdtool.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/rrdtool.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_rrdtool")
+
+  rrdtool.binary             = "@PREFIX@/bin/rrdtool"
+  rrdtool.db-name            = finkroot + "var/www/lighttpd.rrd"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/scgi.conf lighttpd-1.4.25/fink/etc/mods-available/scgi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/scgi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/scgi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_scgi")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/setenv.conf lighttpd-1.4.25/fink/etc/mods-available/setenv.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/setenv.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/setenv.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_setenv")
+
+  #setenv.add-request-header  = ( "TRAV_ENV" => "mysql://user@host/db" )
+  #setenv.add-response-header = ( "X-Secret-Message" => "42" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/simple_vhost.conf lighttpd-1.4.25/fink/etc/mods-available/simple_vhost.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/simple_vhost.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/simple_vhost.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_simple_vhost")
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/ssi.conf lighttpd-1.4.25/fink/etc/mods-available/ssi.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/ssi.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/ssi.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,5 @@
+global {
+  server.modules += ("mod_ssi")
+
+  ssi.extension = ( ".shtml" )
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/status.conf lighttpd-1.4.25/fink/etc/mods-available/status.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/status.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/status.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_status")
+
+  status.status-url = "/server-status"
+  status.config-url = "/server-config"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/userdir.conf lighttpd-1.4.25/fink/etc/mods-available/userdir.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/userdir.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/userdir.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,6 @@
+global {
+  server.modules += ("mod_userdir")
+
+  userdir.basepath = "/Users/"
+  userdir.path = "Sites"
+}
diff --unidirectional-new-file -u -r lighttpd-1.4.25.orig/fink/etc/mods-available/webdav.conf lighttpd-1.4.25/fink/etc/mods-available/webdav.conf
--- lighttpd-1.4.25.orig/fink/etc/mods-available/webdav.conf	1970-01-01 03:00:00.000000000 +0300
+++ lighttpd-1.4.25/fink/etc/mods-available/webdav.conf	2009-11-26 14:08:48.000000000 +0300
@@ -0,0 +1,3 @@
+global {
+  server.modules += ("mod_webdav")
+}
diff -ruN lighttpd-1.4.71-orig/fink/etc/mods-available/maxminddb.conf lighttpd-1.4.71/fink/etc/mods-available/maxminddb.conf
--- lighttpd-1.4.71-orig/fink/etc/mods-available/maxminddb.conf	1969-12-31 18:00:00.000000000 -0600
+++ lighttpd-1.4.71/fink/etc/mods-available/maxminddb.conf	2023-09-14 06:28:36.000000000 -0500
@@ -0,0 +1,14 @@
+global {
+  server.modules += ("mod_maxminddb")
+
+  maxminddb.activate = "enable"
+  # DB downloaded from https://dev.maxmind.com/geoip/geoip2/geolite2/#Downloads
+  maxminddb.db = "@PREFIX@/share/GeoIP2/database.mmdb"
+  maxminddb.env = (
+         "GEOIP_COUNTRY_CODE"   => "country/iso_code",
+         "GEOIP_COUNTRY_NAME"   => "country/names/en",
+         "GEOIP_CITY_NAME"      => "city/names/en",
+         "GEOIP_CITY_LATITUDE"  => "location/latitude",
+         "GEOIP_CITY_LONGITUDE" => "location/longitude",
+  )
+}
